org.apache.sling.xss.impl

## Class PolicyHandler

- java.lang.Object
- - org.apache.sling.xss.impl.PolicyHandler

    public class PolicyHandler
    extends Object

Class that provides the capability of securing input provided as plain text for HTML output.

### Constructor Summary

Constructors
Constructor and Description
`PolicyHandler(InputStream policyStream)` Creates a `PolicyHandler` from an `InputStream`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.owasp.validator.html.AntiSamy` `getAntiSamy()`
`org.owasp.validator.html.Policy` `getPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolicyHandler

    public PolicyHandler(InputStream policyStream)
                  throws Exception

Creates a `PolicyHandler` from an `InputStream`.

Parameters:
  `policyStream` - the InputStream from which to read this handler's `Policy`
Throws:
  `Exception`

### Method Detail

#### getPolicy

    public org.owasp.validator.html.Policy getPolicy()

#### getAntiSamy

    public org.owasp.validator.html.AntiSamy getAntiSamy()